(define-module (metznet machines ldap)
  #:use-module (gnu system)
  #:use-module (guix gexp)
  #:use-module (metznet system base-system)
  #:use-module (gnu packages slapd)
  #:use-module (gnu services)
  #:use-module (gnu services certbot)
  #:use-module (gnu services slapd)

  #:export (ldap.metznet.ca ldap-services))

(define-public ldap-services
  (append (list (service certbot-service-type
                         (certbot-configuration (email "admin@metznet.ca")
                                                (certificates (list (certificate-configuration
                                                                     (domains '
                                                                              ("ldap.metznet.ca")))))))
                (service slapd-service-type
                         (slapd-configuration (uris
                                               "ldap:// ldapi:// ldaps:// ldapis://"))))
          %metznet-server-services))

(define-public ldap.metznet.ca
  (operating-system
    (inherit %metznet-base-server-system)
    (host-name "ldap.metznet.ca")
    (services
     ldap-services)))
